export enum SearchType {
  Hot = 10,
  Service = 20,
  Work = 30,
  Park = 40,
  Info = 50,
  Policy = 60,
  RegionalManagement = 70,
  ProductType = 80,
  DemandType = 90,
  DemandRange = 100,
  EmployeeBenefits = 110,
  CompanyIndustry = 120,
  HeadHunterPosition = 130,
  ConsultationCategory = 140,
  FAQCategory = 150,
  IndustryCategory = 160,
  FirstPartyIndustry = 170,
  MatingServiceType = 180,
  IndustryBodyType = 190,
}

export const SearchTypeText = {
  [SearchType.Hot]: '热搜词',
  [SearchType.Service]: '服务类型',
  [SearchType.Work]: '工种',
  [SearchType.Park]: '园区类型',
  [SearchType.Info]: '资讯活动类型',
  [SearchType.Policy]: '政策颁布机构',
  [SearchType.RegionalManagement]: '区域管理',
  [SearchType.ProductType]: '产品类型',
  [SearchType.DemandType]: '需求类型',
  [SearchType.DemandRange]: '需求范围',
  [SearchType.EmployeeBenefits]: '员工福利',
  [SearchType.CompanyIndustry]: '公司行业',
  [SearchType.HeadHunterPosition]: '猎头职位',
  [SearchType.ConsultationCategory]: '咨询类别',
  [SearchType.FAQCategory]: '问题分类',
  [SearchType.IndustryCategory]: '行业类别',
  [SearchType.FirstPartyIndustry]: '甲方行业',
  [SearchType.MatingServiceType]: '配套服务类型',
  [SearchType.IndustryBodyType]: '行业机构类型',
};

export enum BelongType {
  Park = 10,
  Human = 20,
  Product = 30,
  Information = 40,
  FlexiblePlatform = 60,
  LaborRecruitment = 70,
  DemandDevelopment = 80,
  TrainingInstitutions = 90,
}

export enum IndustryCategoryType {
  /**
   * 行业服务
   */
  IndustryServices = 0,
  /**
   * 行业配套
   */
  IndustryMatching,

  /**
   * 甲方需求
   */
  FirstPartyDemand,
  /**
   * 行业资讯
   */
  IndustryInformation,
}

export const IndustryCategoryTypeText = {
  [IndustryCategoryType.IndustryServices]: '行业服务',
  [IndustryCategoryType.IndustryMatching]: '行业配套',
  [IndustryCategoryType.FirstPartyDemand]: '甲方需求',
  [IndustryCategoryType.IndustryInformation]: '行业资讯',
};

export enum ProductInfoCategoryType {
  /**
   * 产品类别
   */
  ProductCategory = 0,
  /**
   * 资讯类别
   */
  InformationCategory = 1,
}

export const ProductInfoCategoryTypeText = {
  [ProductInfoCategoryType.ProductCategory]: '产品类别',
  [ProductInfoCategoryType.InformationCategory]: '资讯类别',
};

export enum TagType {
  /**
   * 产品标签
   */
  ProductTag = 0,
  /**
   * 资讯标签
   */
  InformationTag,
  /**
   * 定义标签
   */
  CustomTag,
  /**
   * 快捷评论标签
   */
  QuickEvaluateTag,
}

export const ProductInfoTagTypeText = {
  [TagType.ProductTag]: '产品标签',
  [TagType.InformationTag]: '资讯标签',
};

export const ProductQuickEvaluateTypeText = {
  [TagType.ProductTag]: '产品快捷评价',
};

export enum UpLevel {
  /**
   * 一级
   */
  One = 1,
  /**
   * 二级
   */
  Two,
  /**
   * 三级
   */
  Three,
}
export const UpLevelText = {
  [UpLevel.One]: '一级',
  [UpLevel.Two]: '二级',
  [UpLevel.Three]: '三级',
};
